#include<bits/stdc++.h>
#include"partition.h"
using namespace std;
//#define int long long
void output(vector<int> a){
    for(auto x:a) cout<<x<<' ';
    cout<<'\n';
}
vector<int> solve(vector<int> A){
    long long N=A.size(),S=0,minim=1e9;
    vector<int> best;
    for(auto x:A) S+=x;
    vector<int> q;
    for(int i=0;i<N;i++) q.push_back(i);
    do{
        int c1=0,c2=0;
        long long s=0;
        for(int i=0;i<N;i++){
            if(s>=S/2) c2++;
            else c1++;
            s+=A[q[i]];
        }
        if(abs(c1-c2)<minim){
            minim=abs(c1-c2);
            best=q;
        }
    }
    while(next_permutation(q.begin(),q.end()));
    return best;
}